Page MenuHomePhabricator

Echo/includes/gateway/UserNotificationGateway.php: PHP Notice: Undefined variable: success
Closed, ResolvedPublic

Description

Seen a few times with wmf.18

ErrorException from line 105 of /srv/mediawiki/php-1.32.0-wmf.18/extensions/Echo/includes/gateway/UserNotificationGateway.php: PHP Notice: Undefined variable: success

#0 /srv/mediawiki/php-1.32.0-wmf.18/extensions/Echo/includes/gateway/UserNotificationGateway.php(105): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.18/extensions/Echo/includes/NotifUser.php(278): EchoUserNotificationGateway->markUnRead(array)
#2 /srv/mediawiki/php-1.32.0-wmf.18/extensions/Echo/includes/api/ApiEchoMarkRead.php(37): MWEchoNotifUser->markUnRead(array)
#3 /srv/mediawiki/php-1.32.0-wmf.18/includes/api/ApiMain.php(1577): ApiEchoMarkRead->execute()
#4 /srv/mediawiki/php-1.32.0-wmf.18/includes/api/ApiMain.php(531): ApiMain->executeAction()
#5 /srv/mediawiki/php-1.32.0-wmf.18/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#6 /srv/mediawiki/php-1.32.0-wmf.18/api.php(83): ApiMain->execute()
#7 /srv/mediawiki/w/api.php(3): include(string)
#8 {main}

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : wmf/1.32.0-wmf.18Initialize $success
mediawiki/extensions/Echo : masterInitialize $success

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 23 2018, 9:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 455128 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Echo@master] Initialize $success

https://gerrit.wikimedia.org/r/455128

SBisson claimed this task.Aug 24 2018, 10:18 AM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
SBisson moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

Change 455128 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Initialize $success

https://gerrit.wikimedia.org/r/455128

Change 455207 had a related patch set uploaded (by Jforrester; owner: Sbisson):
[mediawiki/extensions/Echo@wmf/1.32.0-wmf.18] Initialize $success

https://gerrit.wikimedia.org/r/455207

Change 455207 merged by jenkins-bot:
[mediawiki/extensions/Echo@wmf/1.32.0-wmf.18] Initialize $success

https://gerrit.wikimedia.org/r/455207

Mentioned in SAL (#wikimedia-operations) [2018-08-24T17:44:18Z] <James_F> scap sync-file php-1.32.0-wmf.18/extensions/Echo/includes/gateway/UserNotificationGateway.php Hot-deploy of Ifdfa93059 to fix T202672 log error

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Now hot-deployed to production.

Etonkovidova closed this task as Resolved.Aug 24 2018, 9:57 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM